<?php

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Seeder;


class DatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Model::unguard();

        $this->call(PrivilegeTableSeeder::class);
        $this->call(CompetenceTableSeeder::class);
        $this->call(ContexteTableSeeder::class);
        $this->call(DomaineTableSeeder::class);
        $this->call(NiveauTableSeeder::class);
        $this->call(SystemeTableSeeder::class);
        $this->call(StageTableSeeder::class);
        $this->call(SymptomeTableSeeder::class);
        $this->call(CritereTableSeeder::class);
        $this->call(SpecialiteTableSeeder::class);
        $this->call(GradeTableSeeder::class);
        $this->call(EnseignantTableSeeder::class);

        Model::reguard();
    }
}
